# Programmers Reference
The sections presented here will provide you with all the available Interfaces and Structures that you can use as a developer for Animal Shell.

## Types
## System
## Core
## Shell
## Call Parameters
## Data Structures
## Libraries
## Drivers
